Open MPI logo

Open MPI User's Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Open MPI User's mailing list

Subject: Re: [OMPI users] btl_openib_ipaddr_include broken in 1.4.4rc2?
From: Yevgeny Kliteynik (kliteyn_at_[hidden])
Date: 2011-09-04 02:36:44


On 30-Aug-11 4:50 PM, Michael Shuey wrote:
> I'm using RoCE (or rather, attempting to) and need to select a
> non-default GID to get my traffic properly classified.

You probably saw it, but just making sure:
http://www.open-mpi.org/faq/?category=openfabrics#ompi-over-roce

> Both 1.4.4rc2
> and 1.5.4 support the btl_openib_ipaddr_include option, but only 1.5.4
> causes my traffic to use the proper GID and VLAN.
>
> Is there something broken with ipaddr_include in 1.4.4rc2?

Yes, there is.
It is already fixed, but RC2 doesn't have the fix yet.
It will be included in the next build.

-- YK

> --
> Mike Shuey
> _______________________________________________
> users mailing list
> users_at_[hidden]
> http://www.open-mpi.org/mailman/listinfo.cgi/users
>